transcript on
if ![file isdirectory presspb_led_nios2_iputf_libs] {
	file mkdir presspb_led_nios2_iputf_libs
}

if {[file exists rtl_work]} {
	vdel -lib rtl_work -all
}
vlib rtl_work
vmap work rtl_work

###### Libraries for IPUTF cores 
vlib presspb_led_nios2_iputf_libs/error_adapter_0
vmap error_adapter_0 ./presspb_led_nios2_iputf_libs/error_adapter_0
vlib presspb_led_nios2_iputf_libs/avalon_st_adapter
vmap avalon_st_adapter ./presspb_led_nios2_iputf_libs/avalon_st_adapter
vlib presspb_led_nios2_iputf_libs/rsp_mux_001
vmap rsp_mux_001 ./presspb_led_nios2_iputf_libs/rsp_mux_001
vlib presspb_led_nios2_iputf_libs/rsp_mux
vmap rsp_mux ./presspb_led_nios2_iputf_libs/rsp_mux
vlib presspb_led_nios2_iputf_libs/rsp_demux
vmap rsp_demux ./presspb_led_nios2_iputf_libs/rsp_demux
vlib presspb_led_nios2_iputf_libs/cmd_mux_001
vmap cmd_mux_001 ./presspb_led_nios2_iputf_libs/cmd_mux_001
vlib presspb_led_nios2_iputf_libs/cmd_mux
vmap cmd_mux ./presspb_led_nios2_iputf_libs/cmd_mux
vlib presspb_led_nios2_iputf_libs/cmd_demux_001
vmap cmd_demux_001 ./presspb_led_nios2_iputf_libs/cmd_demux_001
vlib presspb_led_nios2_iputf_libs/cmd_demux
vmap cmd_demux ./presspb_led_nios2_iputf_libs/cmd_demux
vlib presspb_led_nios2_iputf_libs/router_003
vmap router_003 ./presspb_led_nios2_iputf_libs/router_003
vlib presspb_led_nios2_iputf_libs/router_002
vmap router_002 ./presspb_led_nios2_iputf_libs/router_002
vlib presspb_led_nios2_iputf_libs/router_001
vmap router_001 ./presspb_led_nios2_iputf_libs/router_001
vlib presspb_led_nios2_iputf_libs/router
vmap router ./presspb_led_nios2_iputf_libs/router
vlib presspb_led_nios2_iputf_libs/jtag_uart_avalon_jtag_slave_agent_rsp_fifo
vmap jtag_uart_avalon_jtag_slave_agent_rsp_fifo ./presspb_led_nios2_iputf_libs/jtag_uart_avalon_jtag_slave_agent_rsp_fifo
vlib presspb_led_nios2_iputf_libs/jtag_uart_avalon_jtag_slave_agent
vmap jtag_uart_avalon_jtag_slave_agent ./presspb_led_nios2_iputf_libs/jtag_uart_avalon_jtag_slave_agent
vlib presspb_led_nios2_iputf_libs/nios2_cpu_data_master_agent
vmap nios2_cpu_data_master_agent ./presspb_led_nios2_iputf_libs/nios2_cpu_data_master_agent
vlib presspb_led_nios2_iputf_libs/jtag_uart_avalon_jtag_slave_translator
vmap jtag_uart_avalon_jtag_slave_translator ./presspb_led_nios2_iputf_libs/jtag_uart_avalon_jtag_slave_translator
vlib presspb_led_nios2_iputf_libs/nios2_cpu_data_master_translator
vmap nios2_cpu_data_master_translator ./presspb_led_nios2_iputf_libs/nios2_cpu_data_master_translator
vlib presspb_led_nios2_iputf_libs/cpu
vmap cpu ./presspb_led_nios2_iputf_libs/cpu
vlib presspb_led_nios2_iputf_libs/rst_controller
vmap rst_controller ./presspb_led_nios2_iputf_libs/rst_controller
vlib presspb_led_nios2_iputf_libs/irq_mapper
vmap irq_mapper ./presspb_led_nios2_iputf_libs/irq_mapper
vlib presspb_led_nios2_iputf_libs/mm_interconnect_0
vmap mm_interconnect_0 ./presspb_led_nios2_iputf_libs/mm_interconnect_0
vlib presspb_led_nios2_iputf_libs/pb_pio
vmap pb_pio ./presspb_led_nios2_iputf_libs/pb_pio
vlib presspb_led_nios2_iputf_libs/onchip_memory
vmap onchip_memory ./presspb_led_nios2_iputf_libs/onchip_memory
vlib presspb_led_nios2_iputf_libs/nios2_cpu
vmap nios2_cpu ./presspb_led_nios2_iputf_libs/nios2_cpu
vlib presspb_led_nios2_iputf_libs/led_pio
vmap led_pio ./presspb_led_nios2_iputf_libs/led_pio
vlib presspb_led_nios2_iputf_libs/jtag_uart
vmap jtag_uart ./presspb_led_nios2_iputf_libs/jtag_uart
###### End libraries for IPUTF cores 
###### MIF file copy and HDL compilation commands for IPUTF cores 

file copy -force C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_nios2_cpu_cpu_ociram_default_contents.dat ./
file copy -force C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_nios2_cpu_cpu_ociram_default_contents.hex ./
file copy -force C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_nios2_cpu_cpu_ociram_default_contents.mif ./
file copy -force C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_nios2_cpu_cpu_rf_ram_a.dat ./
file copy -force C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_nios2_cpu_cpu_rf_ram_a.hex ./
file copy -force C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_nios2_cpu_cpu_rf_ram_a.mif ./
file copy -force C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_nios2_cpu_cpu_rf_ram_b.dat ./
file copy -force C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_nios2_cpu_cpu_rf_ram_b.hex ./
file copy -force C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_nios2_cpu_cpu_rf_ram_b.mif ./
file copy -force C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_onchip_memory.hex ./

vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_mm_interconnect_0_avalon_st_adapter_error_adapter_0.sv" -work error_adapter_0                           
vcom     "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_mm_interconnect_0_avalon_st_adapter.vhd"                -work avalon_st_adapter                         
vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_mm_interconnect_0_rsp_mux_001.sv"                       -work rsp_mux_001                               
vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/altera_merlin_arbitrator.sv"                                         -work rsp_mux_001                               
vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_mm_interconnect_0_rsp_mux.sv"                           -work rsp_mux                                   
vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/altera_merlin_arbitrator.sv"                                         -work rsp_mux                                   
vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_mm_interconnect_0_rsp_demux.sv"                         -work rsp_demux                                 
vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_mm_interconnect_0_cmd_mux_001.sv"                       -work cmd_mux_001                               
vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/altera_merlin_arbitrator.sv"                                         -work cmd_mux_001                               
vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_mm_interconnect_0_cmd_mux.sv"                           -work cmd_mux                                   
vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/altera_merlin_arbitrator.sv"                                         -work cmd_mux                                   
vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_mm_interconnect_0_cmd_demux_001.sv"                     -work cmd_demux_001                             
vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_mm_interconnect_0_cmd_demux.sv"                         -work cmd_demux                                 
vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_mm_interconnect_0_router_003.sv"                        -work router_003                                
vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_mm_interconnect_0_router_002.sv"                        -work router_002                                
vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_mm_interconnect_0_router_001.sv"                        -work router_001                                
vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_mm_interconnect_0_router.sv"                            -work router                                    
vlog     "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/altera_avalon_sc_fifo.v"                                             -work jtag_uart_avalon_jtag_slave_agent_rsp_fifo
vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/altera_merlin_slave_agent.sv"                                        -work jtag_uart_avalon_jtag_slave_agent         
vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/altera_merlin_burst_uncompressor.sv"                                 -work jtag_uart_avalon_jtag_slave_agent         
vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/altera_merlin_master_agent.sv"                                       -work nios2_cpu_data_master_agent               
vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/altera_merlin_slave_translator.sv"                                   -work jtag_uart_avalon_jtag_slave_translator    
vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/altera_merlin_master_translator.sv"                                  -work nios2_cpu_data_master_translator          
vlog     "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_nios2_cpu_cpu.v"                                        -work cpu                                       
vlog     "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_nios2_cpu_cpu_debug_slave_sysclk.v"                     -work cpu                                       
vlog     "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_nios2_cpu_cpu_debug_slave_tck.v"                        -work cpu                                       
vlog     "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_nios2_cpu_cpu_debug_slave_wrapper.v"                    -work cpu                                       
vlog     "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_nios2_cpu_cpu_test_bench.v"                             -work cpu                                       
vlog     "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/altera_reset_controller.v"                                           -work rst_controller                            
vlog     "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/altera_reset_synchronizer.v"                                         -work rst_controller                            
vlog -sv "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_irq_mapper.sv"                                          -work irq_mapper                                
vlog     "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_mm_interconnect_0.v"                                    -work mm_interconnect_0                         
vcom     "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_pb_pio.vhd"                                             -work pb_pio                                    
vcom     "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_onchip_memory.vhd"                                      -work onchip_memory                             
vlog     "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_nios2_cpu.v"                                            -work nios2_cpu                                 
vcom     "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_led_pio.vhd"                                            -work led_pio                                   
vcom     "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/submodules/nios2_system_jtag_uart.vhd"                                          -work jtag_uart                                 
vcom     "C:/intelFPGA_prj/presspb_led_nios2/nios2_system/simulation/nios2_system.vhd"                                                                                                               

vcom -93 -work work {C:/intelFPGA_prj/presspb_led_nios2/presspb_led_nios2.vhd}

vcom -93 -work work {C:/intelFPGA_prj/presspb_led_nios2/id113961_testbench.vhd}

vsim -t 1ps -L altera_ver -L lpm_ver -L sgate_ver -L altera_mf_ver -L altera_lnsim_ver -L fiftyfivenm -L fiftyfivenm_ver -L rtl_work -L work -L error_adapter_0 -L avalon_st_adapter -L rsp_mux_001 -L rsp_mux -L rsp_demux -L cmd_mux_001 -L cmd_mux -L cmd_demux_001 -L cmd_demux -L router_003 -L router_002 -L router_001 -L router -L jtag_uart_avalon_jtag_slave_agent_rsp_fifo -L jtag_uart_avalon_jtag_slave_agent -L nios2_cpu_data_master_agent -L jtag_uart_avalon_jtag_slave_translator -L nios2_cpu_data_master_translator -L cpu -L rst_controller -L irq_mapper -L mm_interconnect_0 -L pb_pio -L onchip_memory -L nios2_cpu -L led_pio -L jtag_uart -voptargs="+acc"  testbench

add wave *
view structure
view signals
run 30 ms
